version: "3.4"

x-logging: &default-logging
    driver: "json-file"
    options:
        max-size: "500k"
        max-file: "10"

services:
  grafana:
    image: grafana/grafana:{{ grafana_version }}
    restart: unless-stopped
    expose:
      - 3000
    networks:
      - web
    environment:
      - GF_SERVER_ROOT_URL=https://{{ grafana_domain }}/
    volumes:
      - ./data:/var/lib/grafana 
    labels:
      - "traefik.enable=true"
      - "traefik.docker.network=web"
      - "traefik.http.routers.{{ grafana_name }}-grafana.entrypoints=websecure"
      - "traefik.http.routers.{{ grafana_name }}-grafana.rule=Host(`{{ grafana_domain }}`)"
      - "traefik.http.routers.{{ grafana_name }}-grafana.tls.certresolver=httpsresolver"
      - "traefik.http.services.{{ grafana_name }}-grafana.loadbalancer.server.port=3000"
    logging: *default-logging

networks:
    web:
        external: true
